> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path/invites/invite-user-to-path.md).

# Invite user to path

You can invite someone to a path to provide them with custom access to its content. The invited user needs to accept this invite to starting using the new access.

A user can be invited by their userId and email. When inviting a user through their email, an email is sent to the given address if no user with that email exists yet. This email contains a link that will help the invited user setup their account.&#x20;

| **Description** | Invite user to access a path. |
| --------------- | ----------------------------- |
| **Endpoint**    | `/path/{pathId}/invite`       |
| **Method**      | POST                          |

### Access Level Rules

| **Access Level** | share and the same access as is included in the invitation |
| ---------------- | ---------------------------------------------------------- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th width="223">Name</th><th>Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the path to share.</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>access</code></td><td>An <a href="/pages/jWHxOKKaASR2HwgmIQkh">access Object</a> with properties  "geoFence", "monthlyFee", "accessTier" and "processingUnits" defining the access given to the user. <br><br>"accessTier" needs to be one of 'view', 'viewPlus', 'share', 'edit', 'fillView', 'editPlus' or 'admin'</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>userId</code></td><td>The id of the user to share the path with.</td><td>Required if no email is given.</td><td>Default null.</td><td>true</td><td></td></tr><tr><td><code>email</code></td><td>The email of the user to share the path with.</td><td>Required if no userId is given.</td><td>Default null.</td><td></td><td></td></tr><tr><td><code>sendMail</code></td><td>Boolean whether an invite email should be sent when inviting using the userId parameter.</td><td>false</td><td>Default true.</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path/invites/invite-user-to-path.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
